Index: WAeUP_SRP/trunk/profiles/default/themes/WAeUP_Alpha/Default/main/1706504860.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/themes/WAeUP_Alpha/Default/main/1706504860.xml	(revision 405)
+++ WAeUP_SRP/trunk/profiles/default/themes/WAeUP_Alpha/Default/main/1706504860.xml	(revision 405)
@@ -0,0 +1,30 @@
+<?xml version="1.0"?>
+<object name="1706504860" meta_type="Portal Box Group Templet">
+ <property name="title">portal_session</property>
+ <property name="cacheable">False</property>
+ <property name="cache_lifetime">60</property>
+ <property name="hidden_in_text_mode">False</property>
+ <property name="display_title_in_text_mode">False</property>
+ <property name="xpos">1</property>
+ <property name="align">left</property>
+ <property name="padding">0.2em</property>
+ <property name="margin">0.2em 0.2em 0em 0.2em</property>
+ <property name="templet_height"></property>
+ <property name="fontcolor">defaultnovisitedlinks</property>
+ <property name="fontshape">average</property>
+ <property name="shape"></property>
+ <property name="color"></property>
+ <property name="formstyle"></property>
+ <property name="visibility">always</property>
+ <property name="visibility_paths"/>
+ <property name="languages"/>
+ <property name="esi_fragment">False</property>
+ <property name="boxshape">navbox</property>
+ <property name="boxcolor"></property>
+ <property name="boxcorners"></property>
+ <property name="portaltabstyle">PortalTabStyleuseractions</property>
+ <property name="boxlayout">notitle_noframe</property>
+ <property name="box_group">portal_session</property>
+ <property name="macroless">False</property>
+ <property name="box_title_i18n">False</property>
+</object>
Index: WAeUP_SRP/trunk/profiles/default/themes/WAeUP_Alpha/Frontpage/133318311/1972792851.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/themes/WAeUP_Alpha/Frontpage/133318311/1972792851.xml	(revision 405)
+++ WAeUP_SRP/trunk/profiles/default/themes/WAeUP_Alpha/Frontpage/133318311/1972792851.xml	(revision 405)
@@ -0,0 +1,14 @@
+<?xml version="1.0"?>
+<object name="1972792851" meta_type="Cell Block">
+ <property name="title">Welcome</property>
+ <property name="xpos">1</property>
+ <property name="height"></property>
+ <property name="maxcols">2</property>
+ <property name="shape"></property>
+ <property name="color">AreaColor</property>
+ <property name="margin"></property>
+ <object name="955899408" meta_type="Text Box Templet"/>
+ <object name="318268911" meta_type="Portal Box Group Templet"/>
+ <object name="1642841685" meta_type="Cell Sizer"/>
+ <object name="785597289" meta_type="Cell Sizer"/>
+</object>
Index: WAeUP_SRP/trunk/profiles/default/themes/WAeUP_Alpha/Frontpage/133318311/1972792851/1642841685.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/themes/WAeUP_Alpha/Frontpage/133318311/1972792851/1642841685.xml	(revision 405)
+++ WAeUP_SRP/trunk/profiles/default/themes/WAeUP_Alpha/Frontpage/133318311/1972792851/1642841685.xml	(revision 405)
@@ -0,0 +1,5 @@
+<?xml version="1.0"?>
+<object name="1642841685" meta_type="Cell Sizer">
+ <property name="xpos">0</property>
+ <property name="cellwidth">2%</property>
+</object>
Index: WAeUP_SRP/trunk/profiles/default/themes/WAeUP_Alpha/Frontpage/133318311/1972792851/318268911.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/themes/WAeUP_Alpha/Frontpage/133318311/1972792851/318268911.xml	(revision 405)
+++ WAeUP_SRP/trunk/profiles/default/themes/WAeUP_Alpha/Frontpage/133318311/1972792851/318268911.xml	(revision 405)
@@ -0,0 +1,30 @@
+<?xml version="1.0"?>
+<object name="318268911" meta_type="Portal Box Group Templet">
+ <property name="title">session_slot</property>
+ <property name="cacheable">False</property>
+ <property name="cache_lifetime">60</property>
+ <property name="hidden_in_text_mode">False</property>
+ <property name="display_title_in_text_mode">False</property>
+ <property name="xpos">1</property>
+ <property name="align">left</property>
+ <property name="padding">0</property>
+ <property name="margin">0.2em 0.2em 0.2em 0.2em</property>
+ <property name="templet_height"></property>
+ <property name="fontcolor">defaultfontcolors</property>
+ <property name="fontshape">average</property>
+ <property name="shape"></property>
+ <property name="color">AreaColor</property>
+ <property name="formstyle"></property>
+ <property name="visibility">always</property>
+ <property name="visibility_paths"/>
+ <property name="languages"/>
+ <property name="esi_fragment">False</property>
+ <property name="boxshape"></property>
+ <property name="boxcolor">navbox</property>
+ <property name="boxcorners"></property>
+ <property name="portaltabstyle">PortalTabStyleuseractions</property>
+ <property name="boxlayout">notitle_noframe</property>
+ <property name="box_group">session_slot</property>
+ <property name="macroless">False</property>
+ <property name="box_title_i18n">False</property>
+</object>
Index: WAeUP_SRP/trunk/profiles/default/themes/WAeUP_Alpha/Frontpage/133318311/1972792851/785597289.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/themes/WAeUP_Alpha/Frontpage/133318311/1972792851/785597289.xml	(revision 405)
+++ WAeUP_SRP/trunk/profiles/default/themes/WAeUP_Alpha/Frontpage/133318311/1972792851/785597289.xml	(revision 405)
@@ -0,0 +1,5 @@
+<?xml version="1.0"?>
+<object name="785597289" meta_type="Cell Sizer">
+ <property name="xpos">1</property>
+ <property name="cellwidth">98%</property>
+</object>
Index: WAeUP_SRP/trunk/profiles/default/themes/WAeUP_Alpha/Frontpage/133318311/1972792851/955899408.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/themes/WAeUP_Alpha/Frontpage/133318311/1972792851/955899408.xml	(revision 405)
+++ WAeUP_SRP/trunk/profiles/default/themes/WAeUP_Alpha/Frontpage/133318311/1972792851/955899408.xml	(revision 405)
@@ -0,0 +1,25 @@
+<?xml version="1.0"?>
+<object name="955899408" meta_type="Text Box Templet">
+ <property name="title">Welcome</property>
+ <property name="cacheable">False</property>
+ <property name="cache_lifetime">60</property>
+ <property name="hidden_in_text_mode">False</property>
+ <property name="display_title_in_text_mode">False</property>
+ <property name="xpos">0</property>
+ <property name="align">left</property>
+ <property name="padding">0em</property>
+ <property name="margin">0.2em 0.2em 0.2em 0.2em</property>
+ <property name="templet_height"></property>
+ <property name="fontcolor">defaultnovisitedlinks</property>
+ <property name="fontshape">average</property>
+ <property name="shape"></property>
+ <property name="color">AreaColor</property>
+ <property name="formstyle"></property>
+ <property name="visibility">always</property>
+ <property name="visibility_paths"/>
+ <property name="languages"/>
+ <property name="esi_fragment">False</property>
+ <property name="text">Welcome</property>
+ <property name="text_format">html</property>
+ <property name="i18n">False</property>
+</object>