Index: /WAeUP_SRP/trunk/WAeUPTables.py
===================================================================
--- /WAeUP_SRP/trunk/WAeUPTables.py	(revision 413)
+++ /WAeUP_SRP/trunk/WAeUPTables.py	(revision 414)
@@ -77,17 +77,4 @@
 InitializeClass(AccommodationTable)
 
-class AccomodationTable(WAeUPTable):
-    
-    meta_type = 'WAeUP Accomodation Tool'
-    
-    def __init__(self):
-        WAeUPTable.__init__(self, 'portal_accommodation')
-
-    def addRecord(self, **data):
-        # The uid is the same as "bed".
-        uid = data['bed']
-        self.catalog_object(dict2ob(data), uid=uid)
-        return uid
-
-
-InitializeClass(AccomodationTable)
+# BBB:
+AccomodationTable = AccommodationTable
Index: /WAeUP_SRP/trunk/configure.zcml
===================================================================
--- /WAeUP_SRP/trunk/configure.zcml	(revision 413)
+++ /WAeUP_SRP/trunk/configure.zcml	(revision 414)
@@ -3,4 +3,6 @@
     >
 
+  <include file="upgrade.zcml"/>
+  
   <adapter
       factory=".exportimport.WAeUPTableXMLAdapter"
Index: /WAeUP_SRP/trunk/profiles/default/layouts/accobook.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/layouts/accobook.xml	(revision 413)
+++ /WAeUP_SRP/trunk/profiles/default/layouts/accobook.xml	(revision 414)
@@ -31,5 +31,5 @@
   <property name="label">enter  PIN</property>
   <property name="label_edit">Enter an Accommodation PIN</property>
-  <property name="help">Enter a PIN valid for Accomodation Booking</property>
+  <property name="help">Enter a PIN valid for Accommodation Booking</property>
   <property name="readonly_layout_modes"/>
   <property name="hidden_layout_modes"/>
Index: /WAeUP_SRP/trunk/skins/waeup_student/accommodation_view_all.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_student/accommodation_view_all.pt	(revision 413)
+++ /WAeUP_SRP/trunk/skins/waeup_student/accommodation_view_all.pt	(revision 414)
@@ -12,5 +12,5 @@
              tal:define="items here/contentValues"
              >
-    <h2>Accomodation</h2>
+    <h2>Accommodation</h2>
     <table cellspacing="0" cellpadding="0">
       <tal:block condition="python: len(items)">
Index: /WAeUP_SRP/trunk/skins/waeup_student/accommodation_view_manager.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_student/accommodation_view_manager.pt	(revision 413)
+++ /WAeUP_SRP/trunk/skins/waeup_student/accommodation_view_manager.pt	(revision 414)
@@ -12,5 +12,5 @@
              tal:define="items here/contentValues"
              >
-    <h2>Accomodation</h2>
+    <h2>Accommodation</h2>
     <table cellspacing="0" cellpadding="0">
       <tal:block condition="python: len(items)">
Index: /WAeUP_SRP/trunk/skins/waeup_student/accommodation_view_student.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_student/accommodation_view_student.pt	(revision 413)
+++ /WAeUP_SRP/trunk/skins/waeup_student/accommodation_view_student.pt	(revision 414)
@@ -12,5 +12,5 @@
              tal:define="items here/contentValues"
              >
-    <h2>Accomodation</h2>
+    <h2>Accommodation</h2>
     <table cellspacing="0" cellpadding="0">
       <tal:block condition="python: len(items)">
Index: /WAeUP_SRP/trunk/upgrade.py
===================================================================
--- /WAeUP_SRP/trunk/upgrade.py	(revision 414)
+++ /WAeUP_SRP/trunk/upgrade.py	(revision 414)
@@ -0,0 +1,20 @@
+# $Id$
+
+# Upgrade steps
+
+old_tool_id = 'portal_accomodation'
+
+def rename_accommodation_tool(portal):
+    required = portal.portal_setup._toolset_registry._required
+    if required.has_key(old_tool_id):
+        del required[old_tool_id]
+    if old_tool_id in portal.objectIds():
+        portal.manage_delObjects([old_tool_id])
+        
+def check_accommodation_tool(portal):
+    required = portal.portal_setup._toolset_registry._required
+    key = 'Products.WAeUP_SRP.WAeUPTables.AccomodationTable'
+    if required.has_key(old_tool_id) or old_tool_id in portal.objectIds():
+        return True
+    return False
+ 
Index: /WAeUP_SRP/trunk/upgrade.zcml
===================================================================
--- /WAeUP_SRP/trunk/upgrade.zcml	(revision 414)
+++ /WAeUP_SRP/trunk/upgrade.zcml	(revision 414)
@@ -0,0 +1,11 @@
+<configure
+    xmlns="http://namespaces.zope.org/zope"
+    xmlns:cps="http://namespaces.nuxeo.org/cps">
+
+  <cps:upgradeStep
+      title="Rename Accommodation tool"
+      handler=".upgrade.rename_accommodation_tool"
+      checker=".upgrade.check_accommodation_tool"
+      />
+
+</configure>