Index: WAeUP_SRP/trunk/profiles/default/schemas/faculty_row.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/schemas/faculty_row.xml	(revision 404)
+++ 	(revision )
@@ -1,7 +1,0 @@
-<?xml version="1.0"?>
-<object name="faculty_row" meta_type="CPS Schema">
-  <field name="Title" meta_type="CPS String Field"/>
-  <field name="Description" meta_type="CPS String Field"/>
-  <field name="id" meta_type="CPS String Field"/>
-  <field name="institution_type" meta_type="CPS String Field"/>
-</object>
Index: WAeUP_SRP/trunk/profiles/default/schemas/jamb.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/schemas/jamb.xml	(revision 404)
+++ 	(revision )
@@ -1,36 +1,0 @@
-<?xml version="1.0"?>
-<object name="jamb" meta_type="CPS Schema">
- <field name="admission_sc_id" meta_type="CPS String Field">
-  <property name="is_searchabletext">True</property>
- </field>
- <field name="admission_sc_pin" meta_type="CPS String Field">
-  <property name="is_searchabletext">True</property>
- </field>
- <field name="admission_sc_pin_usage" meta_type="CPS Int Field"/>
- <field name="age" meta_type="CPS Int Field">
-  <property name="default_expr">python:20</property>
- </field>
- <field name="aggregate" meta_type="CPS String Field"/>
- <field name="course" meta_type="CPS String Field"/>
- <field name="exam_results" meta_type="CPS String Field"/>
- <field name="faculty" meta_type="CPS String Field"/>
- <field name="firstname" meta_type="CPS String Field">
-  <property name="is_searchabletext">True</property>
- </field>
- <field name="lastname" meta_type="CPS String Field">
-  <property name="is_searchabletext">True</property>
- </field>
- <field name="listing_date" meta_type="CPS DateTime Field">
-  <property name="default_expr">python:DateTime()</property>
- </field>
- <field name="middlename" meta_type="CPS String Field">
-  <property name="is_searchabletext">True</property>
- </field>
- <field name="reg_nr" meta_type="CPS String Field">
-  <property name="is_searchabletext">True</property>
- </field>
- <field name="sex" meta_type="CPS Boolean Field">
-  <property name="default_expr">python:0</property>
- </field>
- <field name="state" meta_type="CPS String Field"/>
-</object>
Index: WAeUP_SRP/trunk/profiles/default/schemas/student_admission.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/schemas/student_admission.xml	(revision 404)
+++ WAeUP_SRP/trunk/profiles/default/schemas/student_admission.xml	(revision 421)
@@ -1,18 +1,40 @@
 <?xml version="1.0"?>
 <object name="student_admission" meta_type="CPS Schema">
- <field name="reg_nr" meta_type="CPS String Field">
+
+ <field name="app_ac_pin" meta_type="CPS String Field">
   <property name="is_searchabletext">True</property>
  </field>
- <field name="sc_id" meta_type="CPS String Field">
-  <property name="is_searchabletext">True</property>
-  <property name="acl_write_roles">SectionReader</property>
- </field>
- <field name="sc_pin" meta_type="CPS String Field">
-  <property name="is_searchabletext">True</property>
-  <property name="acl_write_roles">SectionReader</property>
- </field>
- <field name="sc_value" meta_type="CPS Float Field">
-  <property name="default_expr">python:300.</property>
+
+ <field name="jamb_reg_no" meta_type="CPS String Field">
   <property name="is_searchabletext">True</property>
  </field>
+ <field name="jamb_firstname" meta_type="CPS String Field">
+  <property name="is_searchabletext">True</property>
+ </field>
+ <field name="jamb_lastname" meta_type="CPS String Field">
+  <property name="is_searchabletext">True</property>
+ </field>
+ <field name="jamb_middlename" meta_type="CPS String Field">
+  <property name="is_searchabletext">True</property>
+ </field>
+ <field name="jamb_sex" meta_type="CPS Boolean Field">
+  <property name="default_expr">python:0</property>
+ </field>
+ <field name="jamb_age" meta_type="CPS Int Field">
+  <property name="default_expr">python:20</property>
+ </field>
+ <field name="jamb_state" meta_type="CPS String Field"/>
+ <field name="jamb_lga" meta_type="CPS String Field"/>
+ <field name="jamb_score" meta_type="CPS String Field"/>
+ <field name="jamb_first_cos" meta_type="CPS String Field"/>
+ <field name="jamb_second_cos" meta_type="CPS String Field"/>
+ <field name="jamb_first_uni" meta_type="CPS String Field"/>
+ <field name="jamb_second_uni" meta_type="CPS String Field"/>
+
+ <field name="pume_gen_paper" meta_type="CPS String Field"/>
+ <field name="pume_eng_score" meta_type="CPS String Field"/>
+ <field name="pume_math_score" meta_type="CPS String Field"/>
+ <field name="pume_tot_score" meta_type="CPS String Field"/>
+
+ <field name="passport" meta_type="CPS Image Field"/>
 </object>
Index: WAeUP_SRP/trunk/profiles/default/schemas/student_clearance.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/schemas/student_clearance.xml	(revision 404)
+++ WAeUP_SRP/trunk/profiles/default/schemas/student_clearance.xml	(revision 421)
@@ -1,21 +1,72 @@
 <?xml version="1.0"?>
 <object name="student_clearance" meta_type="CPS Schema">
- <field name="lastname" meta_type="CPS String Field">
+
+ <field name="clr_ac_pin" meta_type="CPS String Field">
   <property name="is_searchabletext">True</property>
  </field>
- <field name="reg_nr" meta_type="CPS String Field">
+
+ <field name="jamb_reg_no" meta_type="CPS String Field"/>
+ <field name="matric_no" meta_type="CPS String Field"/>
+
+ <field name="entry_date" meta_type="CPS String Field"/>
+ <field name="entry_session" meta_type="CPS String Field"/>
+
+ <field name="birthday" meta_type="CPS DateTime Field"/>
+ <field name="lga" meta_type="CPS String Field"/>
+ <field name="nationality" meta_type="CPS String Field"/>
+
+ <field name="email" meta_type="CPS String Field">
   <property name="is_searchabletext">True</property>
  </field>
- <field name="sc_id" meta_type="CPS String Field">
-  <property name="is_searchabletext">True</property>
-  <property name="acl_write_roles">SectionReader</property>
- </field>
- <field name="sc_pin" meta_type="CPS String Field">
-  <property name="is_searchabletext">True</property>
-  <property name="acl_write_roles">SectionReader</property>
- </field>
- <field name="sc_value" meta_type="CPS Float Field">
-  <property name="default_expr">python:800.</property>
-  <property name="is_searchabletext">True</property>
- </field>
+
+ <field name="fst_sit_fname" meta_type="CPS String Field"/>
+ <field name="fst_sit_no" meta_type="CPS String Field"/>
+ <field name="fst_sit_date" meta_type="CPS String Field"/>
+ <field name="fst_sit_type" meta_type="CPS String Field"/>
+ <field name="fst_sit_scan" meta_type="CPS Image Field"/>
+
+
+ <field name="scd_sit_fname" meta_type="CPS String Field"/>
+ <field name="scd_sit_no" meta_type="CPS String Field"/>
+ <field name="scd_sit_date" meta_type="CPS String Field"/>
+ <field name="scd_sit_type" meta_type="CPS String Field"/>
+ <field name="scd_sit_scan" meta_type="CPS Image Field"/>
+
+ <field name="alr_fname" meta_type="CPS String Field"/>
+ <field name="alr_no" meta_type="CPS String Field"/>
+ <field name="alr_date" meta_type="CPS String Field"/>
+ <field name="alr_scan" meta_type="CPS Image Field"/>
+
+ <field name="hq_type" meta_type="CPS String Field"/>
+ <field name="hq_grade" meta_type="CPS String Field"/>
+ <field name="hq_school" meta_type="CPS String Field"/>
+ <field name="hq_matric_no" meta_type="CPS String Field"/>
+ <field name="hq_session" meta_type="CPS String Field"/>
+ <field name="hq_disc" meta_type="CPS String Field"/>
+ <field name="hq_scan" meta_type="CPS Image Field"/>
+
+ <field name="birth_certificate" meta_type="CPS Image Field"/>
+ <field name="lga_ident" meta_type="CPS Image Field"/>
+ <field name="acc_let" meta_type="CPS Image Field"/>
+ <field name="jamb_slip" meta_type="CPS Image Field"/>
+ <field name="cert" meta_type="CPS Image Field"/>
+ <field name="evid" meta_type="CPS Image Field"/>
+ <field name="passport" meta_type="CPS Image Field"/>
+ <field name="jamb_let" meta_type="CPS Image Field"/>
+ <field name="res_stat" meta_type="CPS Image Field"/>
+ <field name="ref_let" meta_type="CPS Image Field"/>
+ <field name="cred" meta_type="CPS Image Field"/>
+ <field name="stat_dec" meta_type="CPS Image Field"/>
+ <field name="age_dec" meta_type="CPS Image Field"/>
+ <field name="acc_inst" meta_type="CPS Image Field"/>
+
+ <field name="fst_ch" meta_type="CPS Boolean Field"/>
+ <field name="scd_ch" meta_type="CPS Boolean Field"/>
+ <field name="sup_adm" meta_type="CPS Boolean Field"/>
+ <field name="uniben" meta_type="CPS Boolean Field"/>
+ <field name="form_matric_no" meta_type="CPS String Field"/>
+
+ <field name="def_adm" meta_type="CPS Boolean Field"/>
+ <field name="acknow" meta_type="CPS Boolean Field"/>
+
 </object>
Index: WAeUP_SRP/trunk/profiles/default/schemas/student_course_results.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/schemas/student_course_results.xml	(revision 421)
+++ WAeUP_SRP/trunk/profiles/default/schemas/student_course_results.xml	(revision 421)
@@ -0,0 +1,12 @@
+<?xml version="1.0"?>
+<object name="course_results" meta_type="CPS Schema">
+ <field name="ansbook" meta_type="CPS String Field"/>
+ <field name="carry_level" meta_type="CPS String Field"/>
+ <field name="gpa" meta_type="CPS Float Field"/>
+ <field name="grade" meta_type="CPS String Field"/>
+ <field name="import_id" meta_type="CPS String Field"/>
+ <field name="score" meta_type="CPS Int Field"/>
+ <field name="status" meta_type="CPS String Field"/>
+ <field name="verdict" meta_type="CPS String Field"/>
+ <field name="weight" meta_type="CPS String Field"/>
+</object>
Index: WAeUP_SRP/trunk/profiles/default/schemas/student_documents.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/schemas/student_documents.xml	(revision 404)
+++ 	(revision )
@@ -1,8 +1,0 @@
-<?xml version="1.0"?>
-<object name="student_documents" meta_type="CPS Schema">
- <field name="birth_certificate" meta_type="CPS Image Field"/>
- <field name="passport" meta_type="CPS Image Field"/>
- <field name="photo" meta_type="CPS Image Field"/>
- <field name="results_first" meta_type="CPS Image Field"/>
- <field name="results_second" meta_type="CPS Image Field"/>
-</object>
Index: WAeUP_SRP/trunk/profiles/default/schemas/student_eligibility.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/schemas/student_eligibility.xml	(revision 404)
+++ 	(revision )
@@ -1,12 +1,0 @@
-<?xml version="1.0"?>
-<object name="student_eligibility" meta_type="CPS Schema">
- <field name="course" meta_type="CPS String Field"/>
- <field name="faculty" meta_type="CPS String Field"/>
- <field name="jamb_aggregate" meta_type="CPS String Field"/>
- <field name="jamb_listing_date" meta_type="CPS DateTime Field"/>
- <field name="jamb_results" meta_type="CPS String Field"/>
- <field name="reg_nr" meta_type="CPS String Field">
-  <property name="is_searchabletext">True</property>
- </field>
- <field name="schoolresults" meta_type="CPS String List Field"/>
-</object>
Index: WAeUP_SRP/trunk/profiles/default/schemas/student_hostel_fee.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/schemas/student_hostel_fee.xml	(revision 404)
+++ 	(revision )
@@ -1,18 +1,0 @@
-<?xml version="1.0"?>
-<object name="student_hostel_fee" meta_type="CPS Schema">
- <field name="accommodation" meta_type="CPS String Field">
-  <property name="is_searchabletext">True</property>
- </field>
- <field name="sc_id" meta_type="CPS String Field">
-  <property name="is_searchabletext">True</property>
-  <property name="acl_write_roles">SectionReader</property>
- </field>
- <field name="sc_pin" meta_type="CPS String Field">
-  <property name="is_searchabletext">True</property>
-  <property name="acl_write_roles">SectionReader</property>
- </field>
- <field name="sc_value" meta_type="CPS Float Field">
-  <property name="default_expr">python:2500.</property>
-  <property name="is_searchabletext">True</property>
- </field>
-</object>
Index: WAeUP_SRP/trunk/profiles/default/schemas/student_personal.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/schemas/student_personal.xml	(revision 404)
+++ WAeUP_SRP/trunk/profiles/default/schemas/student_personal.xml	(revision 421)
@@ -1,12 +1,12 @@
 <?xml version="1.0"?>
 <object name="student_personal" meta_type="CPS Schema">
- <field name="birthday" meta_type="CPS DateTime Field"/>
- <field name="campus_address" meta_type="CPS String Field"/>
- <field name="city" meta_type="CPS String Field"/>
- <field name="email" meta_type="CPS String Field">
+
+ <field name="firstname" meta_type="CPS String Field">
   <property name="is_searchabletext">True</property>
  </field>
- <field name="entry_reg_no" meta_type="CPS String Field"/>
- <field name="firstname" meta_type="CPS String Field">
+ <field name="middlename" meta_type="CPS String Field">
+  <property name="is_searchabletext">True</property>
+ </field>
+ <field name="lastname" meta_type="CPS String Field">
   <property name="is_searchabletext">True</property>
  </field>
@@ -14,19 +14,44 @@
   <property name="is_searchabletext">True</property>
  </field>
- <field name="fullname" meta_type="CPS String Field"/>
- <field name="lastname" meta_type="CPS String Field">
+ 
+ <field name="sex" meta_type="CPS Boolean Field"/>
+
+ <field name="for_lga" meta_type="CPS String Field"/>
+ <field name="for_state" meta_type="CPS String Field"/>
+ <field name="marit_stat" meta_type="CPS Boolean Field"/>
+ <field name="religion" meta_type="CPS String Field"/>
+
+ <field name="perm_address" meta_type="CPS String Field">
   <property name="is_searchabletext">True</property>
  </field>
- <field name="lga" meta_type="CPS String Field"/>
- <field name="matricel_no" meta_type="CPS String Field"/>
- <field name="middlename" meta_type="CPS String Field">
-  <property name="is_searchabletext">True</property>
- </field>
- <field name="nationality" meta_type="CPS String Field"/>
- <field name="phone" meta_type="CPS Boolean Field"/>
- <field name="sex" meta_type="CPS Boolean Field"/>
- <field name="state" meta_type="CPS String Field"/>
- <field name="street" meta_type="CPS String Field">
-  <property name="is_searchabletext">True</property>
- </field>
+ <field name="perm_city" meta_type="CPS String Field"/>
+ <field name="campus_address" meta_type="CPS String Field"/>
+ <field name="phone" meta_type="CPS String Field"/>
+
+ <field name="next_kin_firstname" meta_type="CPS String Field"/>
+ <field name="next_kin_middlename" meta_type="CPS String Field"/>
+ <field name="next_kin_lastname" meta_type="CPS String Field"/>
+ <field name="next_kin_relation" meta_type="CPS String Field"/>
+ <field name="next_kin_address" meta_type="CPS String Field"/>
+ <field name="next_kin_city" meta_type="CPS String Field"/>
+ <field name="next_kin_state" meta_type="CPS String Field"/>
+ <field name="next_kin_email" meta_type="CPS String Field"/>
+ <field name="next_kin_phone" meta_type="CPS String Field"/>
+
+ <field name="sponsor_firstname" meta_type="CPS String Field"/>
+ <field name="sponsor_middlename" meta_type="CPS String Field"/>
+ <field name="sponsor_lastname" meta_type="CPS String Field"/>
+ <field name="sponsor_address" meta_type="CPS String Field"/>
+ <field name="sponsor_city" meta_type="CPS String Field"/>
+ <field name="sponsor_state" meta_type="CPS String Field"/>
+ <field name="sponsor_email" meta_type="CPS String Field"/>
+ <field name="sponsor_phone" meta_type="CPS String Field"/>
+
+ <field name="fst_best_lang" meta_type="CPS String Field"/>
+ <field name="scd_best_lang" meta_type="CPS String Field"/>
+ <field name="mother_tongue" meta_type="CPS String Field"/>
+ <field name="hall" meta_type="CPS String Field"/>
+ <field name="disabled" meta_type="CPS Boolean Field"/>
+ <field name="notes" meta_type="CPS String Field"/>
+
 </object>
Index: WAeUP_SRP/trunk/profiles/default/schemas/student_schoolresults.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/schemas/student_schoolresults.xml	(revision 404)
+++ 	(revision )
@@ -1,4 +1,0 @@
-<?xml version="1.0"?>
-<object name="student_schoolresults" meta_type="CPS Schema">
- <field name="schoolresults" meta_type="CPS String List Field"/>
-</object>
Index: WAeUP_SRP/trunk/profiles/default/schemas/student_study_course.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/schemas/student_study_course.xml	(revision 404)
+++ WAeUP_SRP/trunk/profiles/default/schemas/student_study_course.xml	(revision 421)
@@ -3,7 +3,4 @@
  <field name="course_major" meta_type="CPS String Field"/>
  <field name="department" meta_type="CPS String Field"/>
- <field name="entry_reg_no" meta_type="CPS String Field"/>
- <field name="entry_session" meta_type="CPS String Field"/>
  <field name="faculty" meta_type="CPS String Field"/>
- <field name="matricel_no" meta_type="CPS String Field"/>
 </object>