Index: WAeUP_SRP/trunk/profiles/default/layouts/student_clearance.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/layouts/student_clearance.xml	(revision 425)
+++ WAeUP_SRP/trunk/profiles/default/layouts/student_clearance.xml	(revision 426)
@@ -55,5 +55,5 @@
  </widget>
 
- <widget name="entry_date" meta_type="String Widget">
+ <widget name="entry_date" meta_type="Date Widget">
   <property name="title">Entry Date</property>
   <property name="fields">
@@ -81,5 +81,5 @@
  </widget>
 
- <widget name="birthday" meta_type="DateTime Widget">
+ <widget name="birthday" meta_type="Date Widget">
   <property name="title">Day of Birth</property>
   <property name="fields">
@@ -283,8 +283,8 @@
  </widget>
 
-  <widget name="alr_sit_fname" meta_type="String Widget">
+  <widget name="alr_fname" meta_type="String Widget">
   <property name="title">Fullname</property>
   <property name="fields">
-   <element value="alr_sit_fname"/>
+   <element value="alr_fname"/>
   </property>
   <property name="is_required"></property>
@@ -298,8 +298,8 @@
  </widget>
 
- <widget name="alr_sit_no" meta_type="String Widget">
+ <widget name="alr_no" meta_type="String Widget">
   <property name="title">Exam Number</property>
   <property name="fields">
-   <element value="alr_sit_no"/>
+   <element value="alr_no"/>
   </property>
   <property name="is_required"></property>
@@ -311,8 +311,8 @@
  </widget>
 
- <widget name="alr_sit_date" meta_type="Date Widget">
+ <widget name="alr_date" meta_type="Date Widget">
   <property name="title">Exam Date</property>
   <property name="fields">
-   <element value="alr_sit_date"/>
+   <element value="alr_date"/>
   </property>
   <property name="is_required"></property>
@@ -324,8 +324,8 @@
  </widget>
 
- <widget name="alr_sit_scan" meta_type="Image Widget">
+ <widget name="alr_scan" meta_type="Image Widget">
   <property name="title">Scan of Advanced Level Result</property>
   <property name="fields">
-   <element value="alr_sit_scan"/>
+   <element value="alr_scan"/>
   </property>
   <property name="is_required"></property>
@@ -774,10 +774,13 @@
  <table>
   <row>
+   <cell name="jamb_reg_no"/>
+  </row>
+  <row>
+   <cell name="matric_no"/>
+  </row>
+  <row>
    <cell name="clr_ac_pin"/>
   </row>
   <row>
-   <cell name="jamb_reg_nr"/>
-  </row>
-  <row>
    <cell name="entry_date"/>
   </row>
@@ -828,17 +831,17 @@
   </row>
   <row>
-   <cell name="alr_sit_fname"/>
-  </row>
-  <row>
-   <cell name="alr_sit_fname"/>
-  </row>
-  <row>
-   <cell name="alr_sit_no"/>
-  </row>
-  <row>
-   <cell name="alr_sit_date"/>
-  </row>
-  <row>
-   <cell name="alr_sit_scan"/>
+   <cell name="alr_fname"/>
+  </row>
+  <row>
+   <cell name="alr_fname"/>
+  </row>
+  <row>
+   <cell name="alr_no"/>
+  </row>
+  <row>
+   <cell name="alr_date"/>
+  </row>
+  <row>
+   <cell name="alr_scan"/>
   </row>
   <row>
@@ -926,10 +929,4 @@
    <cell name="acknow"/>
   </row>
-  <row>
-   <cell name="jamb_reg_no"/>
-  </row>
-  <row>
-   <cell name="matric_no"/>
-  </row>
  </table>
 
Index: WAeUP_SRP/trunk/profiles/default/layouts/student_personal.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/layouts/student_personal.xml	(revision 425)
+++ WAeUP_SRP/trunk/profiles/default/layouts/student_personal.xml	(revision 426)
@@ -7,26 +7,5 @@
  <property name="flexible_widgets"/>
  <property name="validate_values_expr"></property>
- <widget name="campus_address" meta_type="String Widget">
-  <property name="title">Campus Address</property>
-  <property name="fields">
-   <element value="campus_address"/>
-  </property>
-  <property name="label">Campus Address</property>
-  <property name="label_edit">Campus Address</property>
-  <property name="readonly_layout_modes"/>
-  <property name="hidden_layout_modes"/>
-  <property name="hidden_readonly_layout_modes"/>
- </widget>
- <widget name="disabled" meta_type="Boolean Widget">
-  <property name="title">Disabled</property>
-  <property name="fields">
-   <element value="disabled"/>
-  </property>
-  <property name="readonly_layout_modes"/>
-  <property name="hidden_layout_modes"/>
-  <property name="hidden_readonly_layout_modes"/>
-  <property name="label_false">yes</property>
-  <property name="label_true">no</property>
- </widget>
+
  <widget name="firstname" meta_type="String Widget">
   <property name="title">First Name</property>
@@ -41,4 +20,57 @@
   <property name="hidden_readonly_layout_modes"/>
  </widget>
+
+ <widget name="middlename" meta_type="String Widget">
+  <property name="title">Middle Name</property>
+  <property name="fields">
+   <element value="middlename"/>
+  </property>
+  <property name="label">Middl Name</property>
+  <property name="label_edit">Middle Name</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>
+
+ <widget name="lastname" meta_type="String Widget">
+  <property name="title">Lastname</property>
+  <property name="fields">
+   <element value="lastname"/>
+  </property>
+  <property name="label">Lastname</property>
+  <property name="label_edit">Lastname</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>
+
+  <widget name="former_surname" meta_type="String Widget">
+  <property name="title">Former Surname</property>
+  <property name="fields">
+   <element value="former_surname"/>
+  </property>
+  <property name="label">Former Surname</property>
+  <property name="label_edit">Former Surname</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>
+
+
+ <widget name="sex" meta_type="Boolean Widget">
+  <property name="title">Sex</property>
+  <property name="fields">
+   <element value="sex"/>
+  </property>
+  <property name="label">Sex</property>
+  <property name="label_edit">Sex</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+  <property name="label_false">male</property>
+  <property name="label_true">female</property>
+ </widget>
+
+
  <widget name="for_lga" meta_type="String Widget">
   <property name="title">Foreign Student Local Government Area</property>
@@ -52,4 +84,5 @@
   <property name="hidden_readonly_layout_modes"/>
  </widget>
+
  <widget name="for_state" meta_type="Select Widget">
   <property name="title">Foreign Student State</property>
@@ -64,15 +97,299 @@
   <property name="vocabulary">states</property>
  </widget>
- <widget name="former_surname" meta_type="String Widget">
-  <property name="title">Former Surname</property>
-  <property name="fields">
-   <element value="former_surname"/>
-  </property>
-  <property name="label">Former Surname</property>
-  <property name="label_edit">Former Surname</property>
-  <property name="readonly_layout_modes"/>
-  <property name="hidden_layout_modes"/>
-  <property name="hidden_readonly_layout_modes"/>
- </widget>
+
+ <widget name="marit_stat" meta_type="Boolean Widget">
+  <property name="title">Marital Status</property>
+  <property name="fields">
+   <element value="marit_stat"/>
+  </property>
+  <property name="label">Marital Status</property>
+  <property name="label_edit">Marital Status</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+  <property name="label_false">single</property>
+  <property name="label_true">married</property>
+ </widget>
+
+ <widget name="religion" meta_type="Select Widget">
+  <property name="title">Religion</property>
+  <property name="fields">
+   <element value="religion"/>
+  </property>
+  <property name="label">Religion</property>
+  <property name="label_edit">Religion</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+  <property name="vocabulary">religion</property>
+ </widget>
+
+ <widget name="perm_address" meta_type="String Widget">
+  <property name="title">Permanent Address</property>
+  <property name="fields">
+   <element value="perm_address"/>
+  </property>
+  <property name="label">Permanent Address</property>
+  <property name="label_edit">Permanent Address</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>
+
+ <widget name="perm_city" meta_type="String Widget">
+  <property name="title">City</property>
+  <property name="fields">
+   <element value="perm_city"/>
+  </property>
+  <property name="label">City</property>
+  <property name="label_edit">City</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>
+
+ <widget name="campus_address" meta_type="String Widget">
+  <property name="title">Campus Address</property>
+  <property name="fields">
+   <element value="campus_address"/>
+  </property>
+  <property name="label">Campus Address</property>
+  <property name="label_edit">Campus Address</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>
+
+ <widget name="phone" meta_type="String Widget">
+  <property name="title">Phone</property>
+  <property name="fields">
+   <element value="phone"/>
+  </property>
+  <property name="label">Phone</property>
+  <property name="label_edit">Phone</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>
+
+
+ <widget name="next_kin_firstname" meta_type="String Widget">
+  <property name="title">Next of Kin Firstname</property>
+  <property name="fields">
+   <element value="next_kin_firstname"/>
+  </property>
+  <property name="label">Next of Kin Firstname</property>
+  <property name="label_edit">Next of Kin Firstname</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>
+
+
+ <widget name="next_kin_middlename" meta_type="String Widget">
+  <property name="title">Next of Kin Middlename</property>
+  <property name="fields">
+   <element value="next_kin_middlename"/>
+  </property>
+  <property name="label">Next of Kin Middlename</property>
+  <property name="label_edit">Next of Kin Middlename</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>
+
+
+ <widget name="next_kin_lastname" meta_type="String Widget">
+  <property name="title">Next of Kin Lastname</property>
+  <property name="fields">
+   <element value="next_kin_lastname"/>
+  </property>
+  <property name="label">Next of Kin Lastname</property>
+  <property name="label_edit">Next of Kin Lastname</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>
+
+
+ <widget name="next_kin_relation" meta_type="String Widget">
+  <property name="title">Next of Kin Relationship</property>
+  <property name="fields">
+   <element value="next_kin_relation"/>
+  </property>
+  <property name="label">Next of Kin Relationship</property>
+  <property name="label_edit">Next of Kin Relationship</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>
+
+
+ <widget name="next_kin_address" meta_type="String Widget">
+  <property name="title">Next of Kin Address</property>
+  <property name="fields">
+   <element value="next_kin_address"/>
+  </property>
+  <property name="label">Next of Kin Address</property>
+  <property name="label_edit">Next of Kin Address</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>
+
+
+ <widget name="next_kin_city" meta_type="String Widget">
+  <property name="title">Next of Kin City</property>
+  <property name="fields">
+   <element value="next_kin_city"/>
+  </property>
+  <property name="label">Next of Kin City</property>
+  <property name="label_edit">Next of Kin City</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>
+
+
+ <widget name="next_kin_state" meta_type="String Widget">
+  <property name="title">Next of Kin State</property>
+  <property name="fields">
+   <element value="next_kin_state"/>
+  </property>
+  <property name="label">Next of Kin State</property>
+  <property name="label_edit">Next of Kin State</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>
+
+ <widget name="next_kin_email" meta_type="String Widget">
+  <property name="title">Next of Kin Email</property>
+  <property name="fields">
+   <element value="next_kin_email"/>
+  </property>
+  <property name="label">Next of Kin Email</property>
+  <property name="label_edit">Next of Kin Email</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>
+
+ <widget name="next_kin_phone" meta_type="String Widget">
+  <property name="title">Next of Kin Phone</property>
+  <property name="fields">
+   <element value="next_kin_phone"/>
+  </property>
+  <property name="label">Next of Kin Phone</property>
+  <property name="label_edit">Next of Kin Phone</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>
+
+
+ <widget name="sponsor_firstname" meta_type="String Widget">
+  <property name="title">Sponsor Firstname</property>
+  <property name="fields">
+   <element value="sponsor_firstname"/>
+  </property>
+  <property name="label">Sponsor Firstname</property>
+  <property name="label_edit">Sponsor Firstname</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>
+
+ <field name="sponsor_middlename" meta_type="CPS String Field"/>
+
+ <widget name="sponsor_middlename" meta_type="String Widget">
+  <property name="title">Sponsor Middlename</property>
+  <property name="fields">
+   <element value="sponsor_middlename"/>
+  </property>
+  <property name="label">Sponsor Middlename</property>
+  <property name="label_edit">Sponsor Middlename</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>
+
+
+ <widget name="sponsor_lastname" meta_type="String Widget">
+  <property name="title">Sponsor Lastname</property>
+  <property name="fields">
+   <element value="sponsor_lastname"/>
+  </property>
+  <property name="label">Sponsor Lastname</property>
+  <property name="label_edit">Sponsor Lastname</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>
+
+
+ <widget name="sponsor_address" meta_type="String Widget">
+  <property name="title">Sponsor Address</property>
+  <property name="fields">
+   <element value="sponsor_address"/>
+  </property>
+  <property name="label">Sponsor Address</property>
+  <property name="label_edit">Sponsor Address</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>
+
+
+ <widget name="sponsor_city" meta_type="String Widget">
+  <property name="title">Sponsor City</property>
+  <property name="fields">
+   <element value="sponsor_city"/>
+  </property>
+  <property name="label">Sponsor City</property>
+  <property name="label_edit">Sponsor City</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>
+
+
+ <widget name="sponsor_state" meta_type="String Widget">
+  <property name="title">Sponsor State</property>
+  <property name="fields">
+   <element value="sponsor_state"/>
+  </property>
+  <property name="label">Sponsor State</property>
+  <property name="label_edit">Sponsor State</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>
+
+ <widget name="sponsor_email" meta_type="String Widget">
+  <property name="title">Sponsor Email</property>
+  <property name="fields">
+   <element value="sponsor_email"/>
+  </property>
+  <property name="label">Sponsor Email</property>
+  <property name="label_edit">Sponsor Email</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>
+
+ <widget name="sponsor_phone" meta_type="String Widget">
+  <property name="title">Sponsor Phone</property>
+  <property name="fields">
+   <element value="sponsor_phone"/>
+  </property>
+  <property name="label">Sponsor Phone</property>
+  <property name="label_edit">Sponsor Phone</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>
+
+
  <widget name="fst_best_lang" meta_type="String Widget">
   <property name="title">First Best Language</property>
@@ -86,4 +403,31 @@
   <property name="hidden_readonly_layout_modes"/>
  </widget>
+
+
+ <widget name="scd_best_lang" meta_type="String Widget">
+  <property name="title">Second Best Language</property>
+  <property name="fields">
+   <element value="scd_best_lang"/>
+  </property>
+  <property name="label">Second Best Language</property>
+  <property name="label_edit">Second Best Language</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>
+
+
+ <widget name="mother_tongue" meta_type="String Widget">
+  <property name="title">Mother Tongue</property>
+  <property name="fields">
+   <element value="mother_tongue"/>
+  </property>
+  <property name="label">Mother Tongue</property>
+  <property name="label_edit">Mother Tongue</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>
+
  <widget name="hall" meta_type="String Widget">
   <property name="title">Residence Hall on Campus</property>
@@ -97,149 +441,19 @@
   <property name="hidden_readonly_layout_modes"/>
  </widget>
- <widget name="lastname" meta_type="String Widget">
-  <property name="title">Lastname</property>
-  <property name="fields">
-   <element value="lastname"/>
-  </property>
-  <property name="label">Lastname</property>
-  <property name="label_edit">Lastname</property>
-  <property name="readonly_layout_modes"/>
-  <property name="hidden_layout_modes"/>
-  <property name="hidden_readonly_layout_modes"/>
- </widget>
- <widget name="marit_stat" meta_type="Boolean Widget">
-  <property name="title">Marital Status</property>
-  <property name="fields">
-   <element value="marit_stat"/>
-  </property>
-  <property name="label">Marital Status</property>
-  <property name="label_edit">Marital Status</property>
-  <property name="readonly_layout_modes"/>
-  <property name="hidden_layout_modes"/>
-  <property name="hidden_readonly_layout_modes"/>
-  <property name="label_false">singe</property>
-  <property name="label_true">married</property>
- </widget>
- <widget name="middlename" meta_type="String Widget">
-  <property name="title">Middle Name</property>
-  <property name="fields">
-   <element value="middlename"/>
-  </property>
-  <property name="label">Middl Name</property>
-  <property name="label_edit">Middle Name</property>
-  <property name="readonly_layout_modes"/>
-  <property name="hidden_layout_modes"/>
-  <property name="hidden_readonly_layout_modes"/>
- </widget>
- <widget name="mother_tongue" meta_type="String Widget">
-  <property name="title">Mother Tongue</property>
-  <property name="fields">
-   <element value="mother_tongue"/>
-  </property>
-  <property name="label">Mother Tongue</property>
-  <property name="label_edit">Mother Tongue</property>
-  <property name="readonly_layout_modes"/>
-  <property name="hidden_layout_modes"/>
-  <property name="hidden_readonly_layout_modes"/>
- </widget>
- <widget name="next_kin_address" meta_type="String Widget">
-  <property name="title">Next of Kin Address</property>
-  <property name="fields">
-   <element value="next_kin_address"/>
-  </property>
-  <property name="label">Next of Kin Address</property>
-  <property name="label_edit">Next of Kin Address</property>
-  <property name="readonly_layout_modes"/>
-  <property name="hidden_layout_modes"/>
-  <property name="hidden_readonly_layout_modes"/>
- </widget>
- <widget name="next_kin_city" meta_type="String Widget">
-  <property name="title">Next of Kin City</property>
-  <property name="fields">
-   <element value="next_kin_city"/>
-  </property>
-  <property name="label">Next of Kin City</property>
-  <property name="label_edit">Next of Kin City</property>
-  <property name="readonly_layout_modes"/>
-  <property name="hidden_layout_modes"/>
-  <property name="hidden_readonly_layout_modes"/>
- </widget>
- <widget name="next_kin_email" meta_type="String Widget">
-  <property name="title">Next of Kin Email</property>
-  <property name="fields">
-   <element value="next_kin_email"/>
-  </property>
-  <property name="label">Next of Kin Email</property>
-  <property name="label_edit">Next of Kin Email</property>
-  <property name="readonly_layout_modes"/>
-  <property name="hidden_layout_modes"/>
-  <property name="hidden_readonly_layout_modes"/>
- </widget>
- <widget name="next_kin_firstname" meta_type="String Widget">
-  <property name="title">Next of Kin Firstname</property>
-  <property name="fields">
-   <element value="next_kin_firstname"/>
-  </property>
-  <property name="label">Next of Kin Firstname</property>
-  <property name="label_edit">Next of Kin Firstname</property>
-  <property name="readonly_layout_modes"/>
-  <property name="hidden_layout_modes"/>
-  <property name="hidden_readonly_layout_modes"/>
- </widget>
- <widget name="next_kin_lastname" meta_type="String Widget">
-  <property name="title">Next of Kin Lastname</property>
-  <property name="fields">
-   <element value="next_kin_lastname"/>
-  </property>
-  <property name="label">Next of Kin Lastname</property>
-  <property name="label_edit">Next of Kin Lastname</property>
-  <property name="readonly_layout_modes"/>
-  <property name="hidden_layout_modes"/>
-  <property name="hidden_readonly_layout_modes"/>
- </widget>
- <widget name="next_kin_middlename" meta_type="String Widget">
-  <property name="title">Next of Kin Middlename</property>
-  <property name="fields">
-   <element value="next_kin_middlename"/>
-  </property>
-  <property name="label">Next of Kin Middlename</property>
-  <property name="label_edit">Next of Kin Middlename</property>
-  <property name="readonly_layout_modes"/>
-  <property name="hidden_layout_modes"/>
-  <property name="hidden_readonly_layout_modes"/>
- </widget>
- <widget name="next_kin_phone" meta_type="String Widget">
-  <property name="title">Next of Kin Phone</property>
-  <property name="fields">
-   <element value="next_kin_phone"/>
-  </property>
-  <property name="label">Next of Kin Phone</property>
-  <property name="label_edit">Next of Kin Phone</property>
-  <property name="readonly_layout_modes"/>
-  <property name="hidden_layout_modes"/>
-  <property name="hidden_readonly_layout_modes"/>
- </widget>
- <widget name="next_kin_relation" meta_type="String Widget">
-  <property name="title">Next of Kin Relationship</property>
-  <property name="fields">
-   <element value="next_kin_relation"/>
-  </property>
-  <property name="label">Next of Kin Relationship</property>
-  <property name="label_edit">Next of Kin Relationship</property>
-  <property name="readonly_layout_modes"/>
-  <property name="hidden_layout_modes"/>
-  <property name="hidden_readonly_layout_modes"/>
- </widget>
- <widget name="next_kin_state" meta_type="String Widget">
-  <property name="title">Next of Kin State</property>
-  <property name="fields">
-   <element value="next_kin_state"/>
-  </property>
-  <property name="label">Next of Kin State</property>
-  <property name="label_edit">Next of Kin State</property>
-  <property name="readonly_layout_modes"/>
-  <property name="hidden_layout_modes"/>
-  <property name="hidden_readonly_layout_modes"/>
- </widget>
+
+ <widget name="disabled" meta_type="Boolean Widget">
+  <property name="title">Disabled</property>
+  <property name="fields">
+   <element value="disabled"/>
+  </property>
+  <property name="label">Disabled</property>
+  <property name="label_edit">Disabled</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+  <property name="label_false">no</property>
+  <property name="label_true">yes</property>
+ </widget>
+
  <widget name="notes" meta_type="Text Widget">
   <property name="title">Notes</property>
@@ -253,161 +467,5 @@
   <property name="hidden_readonly_layout_modes"/>
  </widget>
- <widget name="perm_address" meta_type="String Widget">
-  <property name="title">Permanent Address</property>
-  <property name="fields">
-   <element value="perm_address"/>
-  </property>
-  <property name="label">Permanent Address</property>
-  <property name="label_edit">Permanent Address</property>
-  <property name="readonly_layout_modes"/>
-  <property name="hidden_layout_modes"/>
-  <property name="hidden_readonly_layout_modes"/>
- </widget>
- <widget name="perm_city" meta_type="String Widget">
-  <property name="title">City</property>
-  <property name="fields">
-   <element value="perm_city"/>
-  </property>
-  <property name="label">City</property>
-  <property name="label_edit">City</property>
-  <property name="readonly_layout_modes"/>
-  <property name="hidden_layout_modes"/>
-  <property name="hidden_readonly_layout_modes"/>
- </widget>
- <widget name="phone" meta_type="String Widget">
-  <property name="title">Phone</property>
-  <property name="fields">
-   <element value="phone"/>
-  </property>
-  <property name="label">Phone</property>
-  <property name="label_edit">Phone</property>
-  <property name="readonly_layout_modes"/>
-  <property name="hidden_layout_modes"/>
-  <property name="hidden_readonly_layout_modes"/>
- </widget>
- <widget name="religion" meta_type="Select Widget">
-  <property name="title">Religion</property>
-  <property name="fields">
-   <element value="religion"/>
-  </property>
-  <property name="label">Religion</property>
-  <property name="label_edit">Religion</property>
-  <property name="readonly_layout_modes"/>
-  <property name="hidden_layout_modes"/>
-  <property name="hidden_readonly_layout_modes"/>
-  <property name="vocabulary">religion</property>
- </widget>
- <widget name="scd_best_lang" meta_type="String Widget">
-  <property name="title">Second Best Language</property>
-  <property name="fields">
-   <element value="scd_best_lang"/>
-  </property>
-  <property name="label">Second Best Language</property>
-  <property name="label_edit">Second Best Language</property>
-  <property name="readonly_layout_modes"/>
-  <property name="hidden_layout_modes"/>
-  <property name="hidden_readonly_layout_modes"/>
- </widget>
- <widget name="sex" meta_type="Boolean Widget">
-  <property name="title">Sex</property>
-  <property name="fields">
-   <element value="sex"/>
-  </property>
-  <property name="label">Sex</property>
-  <property name="label_edit">Sex</property>
-  <property name="readonly_layout_modes"/>
-  <property name="hidden_layout_modes"/>
-  <property name="hidden_readonly_layout_modes"/>
-  <property name="label_false">male</property>
-  <property name="label_true">female</property>
- </widget>
- <widget name="sponsor_address" meta_type="String Widget">
-  <property name="title">Sponsor Address</property>
-  <property name="fields">
-   <element value="sponsor_address"/>
-  </property>
-  <property name="label">Sponsor Address</property>
-  <property name="label_edit">Sponsor Address</property>
-  <property name="readonly_layout_modes"/>
-  <property name="hidden_layout_modes"/>
-  <property name="hidden_readonly_layout_modes"/>
- </widget>
- <widget name="sponsor_city" meta_type="String Widget">
-  <property name="title">Sponsor City</property>
-  <property name="fields">
-   <element value="sponsor_city"/>
-  </property>
-  <property name="label">Sponsor City</property>
-  <property name="label_edit">Sponsor City</property>
-  <property name="readonly_layout_modes"/>
-  <property name="hidden_layout_modes"/>
-  <property name="hidden_readonly_layout_modes"/>
- </widget>
- <widget name="sponsor_email" meta_type="String Widget">
-  <property name="title">Sponsor Email</property>
-  <property name="fields">
-   <element value="sponsor_email"/>
-  </property>
-  <property name="label">Sponsor Email</property>
-  <property name="label_edit">Sponsor Email</property>
-  <property name="readonly_layout_modes"/>
-  <property name="hidden_layout_modes"/>
-  <property name="hidden_readonly_layout_modes"/>
- </widget>
- <widget name="sponsor_firstname" meta_type="String Widget">
-  <property name="title">Sponsor Firstname</property>
-  <property name="fields">
-   <element value="sponsor_firstname"/>
-  </property>
-  <property name="label">Sponsor Firstname</property>
-  <property name="label_edit">Sponsor Firstname</property>
-  <property name="readonly_layout_modes"/>
-  <property name="hidden_layout_modes"/>
-  <property name="hidden_readonly_layout_modes"/>
- </widget>
- <widget name="sponsor_lastname" meta_type="String Widget">
-  <property name="title">Sponsor Lastname</property>
-  <property name="fields">
-   <element value="sponsor_lastname"/>
-  </property>
-  <property name="label">Sponsor Lastname</property>
-  <property name="label_edit">Sponsor Lastname</property>
-  <property name="readonly_layout_modes"/>
-  <property name="hidden_layout_modes"/>
-  <property name="hidden_readonly_layout_modes"/>
- </widget>
- <widget name="sponsor_middlename" meta_type="String Widget">
-  <property name="title">Sponsor Middlename</property>
-  <property name="fields">
-   <element value="sponsor_middlename"/>
-  </property>
-  <property name="label">Sponsor Middlename</property>
-  <property name="label_edit">Sponsor Middlename</property>
-  <property name="readonly_layout_modes"/>
-  <property name="hidden_layout_modes"/>
-  <property name="hidden_readonly_layout_modes"/>
- </widget>
- <widget name="sponsor_phone" meta_type="String Widget">
-  <property name="title">Sponsor Phone</property>
-  <property name="fields">
-   <element value="sponsor_phone"/>
-  </property>
-  <property name="label">Sponsor Phone</property>
-  <property name="label_edit">Sponsor Phone</property>
-  <property name="readonly_layout_modes"/>
-  <property name="hidden_layout_modes"/>
-  <property name="hidden_readonly_layout_modes"/>
- </widget>
- <widget name="sponsor_state" meta_type="String Widget">
-  <property name="title">Sponsor State</property>
-  <property name="fields">
-   <element value="sponsor_state"/>
-  </property>
-  <property name="label">Sponsor State</property>
-  <property name="label_edit">Sponsor State</property>
-  <property name="readonly_layout_modes"/>
-  <property name="hidden_layout_modes"/>
-  <property name="hidden_readonly_layout_modes"/>
- </widget>
+
  <table>
   <row>
@@ -519,4 +577,5 @@
    <cell name="notes"/>
   </row>
+
  </table>
 </object>