Index: WAeUP_SRP/trunk/Students.py
===================================================================
--- WAeUP_SRP/trunk/Students.py	(revision 426)
+++ WAeUP_SRP/trunk/Students.py	(revision 427)
@@ -101,9 +101,10 @@
                 d = {'Title': 'Personal Data'}
                 s.invokeFactory('StudentClearance','clearance')
-                sc = s.personal
+                sc = s.clearance
                 dc = {'Title': 'Clearance Data'}
                 dc['matric_no'] = matric_no
                 dc['jamb_reg_no'] = student.get('EntryRegNo')
-                dc['lga'] = student.get('LGA')
+                lga = student.get('State') + ' / ' + student.get('LGA')               
+                dc['lga'] = lga
                 dc['nationality'] = student.get('Nationality')
                 dc['email'] = student.get('Emailaddress')
@@ -113,6 +114,4 @@
                 d['former_surname'] = student.get('FormerSurname')
                 d['sex'] = student.get('Sex') == 'F'
-                d['for_state'] = student.get('State')
-                d['for_lga'] = student.get('LGA')
                 d['perm_address'] = student.get('PermanentAddress')
                 d['perm_city'] = student.get('PermanentAddressCity')
Index: WAeUP_SRP/trunk/profiles/default/schemas/student.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/schemas/student.xml	(revision 426)
+++ WAeUP_SRP/trunk/profiles/default/schemas/student.xml	(revision 427)
@@ -1,71 +1,3 @@
 <?xml version="1.0"?>
 <object name="student" meta_type="CPS Schema">
- <field name="accommodation" meta_type="CPS String Field">
-  <property name="is_searchabletext">True</property>
- </field>
- <field name="accommodation_date" meta_type="CPS DateTime Field">
-  <property name="acl_write_roles">SectionReader</property>
- </field>
- <field name="accommodation_sc_id" meta_type="CPS String Field">
-  <property name="is_searchabletext">True</property>
-  <property name="acl_write_roles">SectionReader</property>
- </field>
- <field name="accommodation_sc_pin" meta_type="CPS String Field">
-  <property name="is_searchabletext">True</property>
-  <property name="acl_write_roles">SectionReader</property>
- </field>
- <field name="accommodation_sc_value" meta_type="CPS Float Field">
-  <property name="default_expr">python:0.</property>
-  <property name="is_searchabletext">True</property>
- </field>
- <field name="adm_check_date" meta_type="CPS DateTime Field"/>
- <field name="adm_check_sc_id" meta_type="CPS String Field">
-  <property name="is_searchabletext">True</property>
-  <property name="acl_write_roles">SectionReader</property>
- </field>
- <field name="adm_check_sc_pin" meta_type="CPS String Field">
-  <property name="is_searchabletext">True</property>
-  <property name="acl_write_roles">SectionReader</property>
- </field>
- <field name="adm_check_sc_value" meta_type="CPS Float Field">
-  <property name="default_expr">python:0.</property>
-  <property name="is_searchabletext">True</property>
- </field>
- <field name="clearance_date" meta_type="CPS DateTime Field">
-  <property name="acl_write_roles">SectionReader</property>
- </field>
- <field name="clearance_sc_id" meta_type="CPS String Field">
-  <property name="is_searchabletext">True</property>
-  <property name="acl_write_roles">SectionReader</property>
- </field>
- <field name="clearance_sc_pin" meta_type="CPS String Field">
-  <property name="is_searchabletext">True</property>
-  <property name="acl_write_roles">SectionReader</property>
- </field>
- <field name="clearance_sc_value" meta_type="CPS Float Field">
-  <property name="default_expr">python:0.</property>
-  <property name="is_searchabletext">True</property>
- </field>
- <field name="course" meta_type="CPS String Field">
-  <property name="is_searchabletext">True</property>
- </field>
- <field name="faculty" meta_type="CPS String Field">
-  <property name="is_searchabletext">True</property>
- </field>
- <field name="hostel_fee_date" meta_type="CPS DateTime Field">
-  <property name="acl_write_roles">SectionReader</property>
- </field>
- <field name="hostel_fee_sc_id" meta_type="CPS String Field">
-  <property name="is_searchabletext">True</property>
-  <property name="acl_write_roles">SectionReader</property>
- </field>
- <field name="hostel_fee_sc_pin" meta_type="CPS String Field">
-  <property name="is_searchabletext">True</property>
-  <property name="acl_write_roles">SectionReader</property>
- </field>
- <field name="hostel_fee_sc_value" meta_type="CPS Float Field">
-  <property name="default_expr">python:0.</property>
-  <property name="is_searchabletext">True</property>
- </field>
- <field name="jamb_is_admitted" meta_type="CPS Boolean Field"/>
 </object>
Index: WAeUP_SRP/trunk/profiles/default/types/Student.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/types/Student.xml	(revision 426)
+++ WAeUP_SRP/trunk/profiles/default/types/Student.xml	(revision 427)
@@ -36,6 +36,6 @@
  <property name="storage_methods"/>
  <property name="cps_is_portlet">False</property>
- <alias from="(Default)" to="temporary_view_all"/>
- <alias from="view" to="temporary_view_all"/>
+ <alias from="(Default)" to="academics_contents"/>
+ <alias from="view" to="academics_contents"/>
  <action title="Standard View" action_id="view" category="object"
     condition_expr="python:object.getContent().memberIsOwner() or (member and 'UniversityManager'in member.getRoles())"
@@ -56,5 +56,5 @@
     condition_expr="" url_expr="string:${object/absolute_url}/folder_contents"
     visible="False">
-  <permission value="University Manage"/>
+  <permission value="Modify portal content"/>
  </action>
  <action title="Personal Data" action_id="PERSONAL" category="object"
@@ -79,5 +79,5 @@
   <permission value="Modify portal content"/>
  </action>
- <action title="Book AccomModation" action_id="book_accommodation"
+ <action title="Book Accomodation" action_id="book_accomodation"
     category="object"
     condition_expr="python: object.getContent().memberIsOwner() and not object.getContent().accommodationIsBooked()"
@@ -96,3 +96,10 @@
   <permission value="Modify portal content"/>
  </action>
+ <action title="Book AccomModation" action_id="book_accommodation"
+    category="object"
+    condition_expr="python: object.getContent().memberIsOwner() and not object.getContent().accommodationIsBooked()"
+    url_expr="string:${object/absolute_url}/book_accommodation"
+    visible="True">
+  <permission value="Modify portal content"/>
+ </action>
 </object>
Index: WAeUP_SRP/trunk/profiles/default/types/StudentAdmission.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/types/StudentAdmission.xml	(revision 426)
+++ WAeUP_SRP/trunk/profiles/default/types/StudentAdmission.xml	(revision 427)
@@ -8,5 +8,5 @@
  <property name="product">WAeUP_SRP</property>
  <property name="factory">addStudentAdmission</property>
- <property name="immediate_view">temporary_view_all</property>
+ <property name="immediate_view"></property>
  <property name="global_allow">True</property>
  <property name="filter_content_types">True</property>
@@ -22,5 +22,4 @@
  </property>
  <property name="layouts">
-  <element value="common"/>
   <element value="student_admission"/>
  </property>
@@ -39,5 +38,6 @@
  <action title="action_edit" action_id="edit" category="object"
     condition_expr=""
-    url_expr="string:${object_url}/student_admission_edit_form" visible="True">
+    url_expr="string:${object_url}/student_admission_edit_form"
+    visible="True">
   <permission value="Modify portal content"/>
  </action>
Index: WAeUP_SRP/trunk/profiles/default/types/StudentClearance.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/types/StudentClearance.xml	(revision 426)
+++ WAeUP_SRP/trunk/profiles/default/types/StudentClearance.xml	(revision 427)
@@ -8,5 +8,5 @@
  <property name="product">WAeUP_SRP</property>
  <property name="factory">addStudentClearance</property>
- <property name="immediate_view">temporary_view_all</property>
+ <property name="immediate_view"></property>
  <property name="global_allow">True</property>
  <property name="filter_content_types">True</property>
@@ -17,4 +17,6 @@
  <property name="cps_display_as_document_in_listing">True</property>
  <property name="schemas">
+  <element value="metadata"/>
+  <element value="common"/>
   <element value="student_clearance"/>
  </property>
Index: WAeUP_SRP/trunk/profiles/default/types/StudentPersonal.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/types/StudentPersonal.xml	(revision 426)
+++ WAeUP_SRP/trunk/profiles/default/types/StudentPersonal.xml	(revision 427)
@@ -8,5 +8,5 @@
  <property name="product">WAeUP_SRP</property>
  <property name="factory">addStudentPersonal</property>
- <property name="immediate_view">temporary_view_all</property>
+ <property name="immediate_view"></property>
  <property name="global_allow">True</property>
  <property name="filter_content_types">True</property>
@@ -22,5 +22,4 @@
  </property>
  <property name="layouts">
-  <element value="common"/>
   <element value="student_personal"/>
  </property>
@@ -33,11 +32,12 @@
  <alias from="(Default)" to="cpsdocument_view"/>
  <alias from="view" to="cpsdocument_view"/>
- <action title="Standard View" action_id="view" category="object" condition_expr=""
-    url_expr="string:${object_url}/cpsdocument_view" visible="True">
+ <action title="Standard View" action_id="view" category="object"
+    condition_expr="" url_expr="string:${object_url}/cpsdocument_view"
+    visible="True">
   <permission value="View"/>
  </action>
  <action title="action_edit" action_id="edit" category="object"
-    condition_expr=""
-    url_expr="string:${object_url}/cpsdocument_edit_form" visible="True">
+    condition_expr="" url_expr="string:${object_url}/cpsdocument_edit_form"
+    visible="True">
   <permission value="Modify portal content"/>
  </action>
Index: WAeUP_SRP/trunk/profiles/default/types/StudentsFolder.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/types/StudentsFolder.xml	(revision 426)
+++ WAeUP_SRP/trunk/profiles/default/types/StudentsFolder.xml	(revision 427)
@@ -21,9 +21,7 @@
   <element value="metadata"/>
   <element value="common"/>
-  <element value="folder"/>
+  <element value="students"/>
  </property>
- <property name="layouts">
-  <element value="common"/>
- </property>
+ <property name="layouts"/>
  <property name="layout_clusters">
   <element value="metadata:metadata"/>
@@ -36,4 +34,13 @@
  <action title="View" action_id="view" category="object" condition_expr=""
     url_expr="string:${object_url}/academics_contents" visible="True">
+  <permission value="View"/>
+ </action>
+ <action title="Add JAMB Data" action_id="add_jamb" category="object"
+    condition_expr="" url_expr="string:${object/absolute_url}/create_jamb"
+    visible="False"/>
+ <action title="Check Admission Status" action_id="check_admission"
+    category="object"
+    condition_expr="object/portal_membership/isAnonymousUser"
+    url_expr="string:${object/absolute_url}/check_admission" visible="False">
   <permission value="View"/>
  </action>
Index: WAeUP_SRP/trunk/profiles/default/workflows.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/workflows.xml	(revision 426)
+++ WAeUP_SRP/trunk/profiles/default/workflows.xml	(revision 427)
@@ -67,5 +67,5 @@
   </type>
   <type type_id="StudentClearance">
-   <bound-workflow workflow_id="section_folder_wf"/>
+   <bound-workflow workflow_id="waeup_base_wf"/>
   </type>
   <type type_id="StudentAdmission">
@@ -76,5 +76,5 @@
   </type>
   <type type_id="StudentStudyCourse">
-   <bound-workflow workflow_id="section_folder_wf"/>
+   <bound-workflow workflow_id="waeup_base_wf"/>
   </type>
   <type type_id="StudentsFolder">