Index: /WAeUP_SRP/trunk/profiles/default/layouts/student.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/layouts/student.xml	(revision 427)
+++ /WAeUP_SRP/trunk/profiles/default/layouts/student.xml	(revision 428)
@@ -7,223 +7,3 @@
  <property name="flexible_widgets"/>
  <property name="validate_values_expr"></property>
- <widget name="accommodation" meta_type="String Widget">
-  <property name="title">Accommodation</property>
-  <property name="fields">
-   <element value="accommodation"/>
-  </property>
-  <property name="label">Accommodation</property>
-  <property name="label_edit">Accommodation</property>
-  <property name="readonly_layout_modes"/>
-  <property name="hidden_layout_modes"/>
-  <property name="hidden_readonly_layout_modes"/>
-  <property name="display_width">10</property>
- </widget>
- <widget name="accommodation_date" meta_type="DateTime Widget">
-  <property name="title">Accommodation SC PIN</property>
-  <property name="fields">
-   <element value="accommodation_date"/>
-  </property>
-  <property name="label">Accommodation SC Date</property>
-  <property name="label_edit">Accommodation SC Date</property>
-  <property name="readonly_layout_modes"/>
-  <property name="hidden_layout_modes"/>
-  <property name="hidden_readonly_layout_modes"/>
- </widget>
- <widget name="accommodation_sc_id" meta_type="String Widget">
-  <property name="title">Accommodation SC ID</property>
-  <property name="fields">
-   <element value="accommodation_sc_id"/>
-  </property>
-  <property name="label">Accommodation SC ID</property>
-  <property name="label_edit">Accommodation SC ID</property>
-  <property name="readonly_layout_modes"/>
-  <property name="hidden_layout_modes"/>
-  <property name="hidden_readonly_layout_modes"/>
-  <property name="display_width">10</property>
- </widget>
- <widget name="accommodation_sc_pin" meta_type="String Widget">
-  <property name="title">Accommodation SC PIN</property>
-  <property name="fields">
-   <element value="accommodation_sc_pin"/>
-  </property>
-  <property name="label">Accommodation SC PIN</property>
-  <property name="label_edit">Accommodation SC PIN</property>
-  <property name="readonly_layout_modes"/>
-  <property name="hidden_layout_modes"/>
-  <property name="hidden_readonly_layout_modes"/>
-  <property name="display_width">10</property>
- </widget>
- <widget name="accommodation_sc_value" meta_type="Float Widget">
-  <property name="title">Accommodation SC Value</property>
-  <property name="fields">
-   <element value="accommodation_sc_value"/>
-  </property>
-  <property name="label">Accommodation SC Value</property>
-  <property name="label_edit">Accommodation SC Value</property>
-  <property name="readonly_layout_modes"/>
-  <property name="hidden_layout_modes"/>
-  <property name="hidden_readonly_layout_modes"/>
- </widget>
- <widget name="adm_check_date" meta_type="DateTime Widget">
-  <property name="title">Admission check SC PIN</property>
-  <property name="fields">
-   <element value="adm_check_date"/>
-  </property>
-  <property name="label">Admission check SC Date</property>
-  <property name="label_edit">Admission check SC Date</property>
-  <property name="readonly_layout_modes"/>
-  <property name="hidden_layout_modes"/>
-  <property name="hidden_readonly_layout_modes"/>
- </widget>
- <widget name="adm_check_sc_id" meta_type="String Widget">
-  <property name="title">Admission check SC ID</property>
-  <property name="fields">
-   <element value="adm_check_sc_id"/>
-  </property>
-  <property name="label">Admission check SC ID</property>
-  <property name="label_edit">Admission check SC ID</property>
-  <property name="readonly_layout_modes"/>
-  <property name="hidden_layout_modes"/>
-  <property name="hidden_readonly_layout_modes"/>
-  <property name="display_width">10</property>
- </widget>
- <widget name="adm_check_sc_pin" meta_type="String Widget">
-  <property name="title">Admission check SC PIN</property>
-  <property name="fields">
-   <element value="adm_check_sc_pin"/>
-  </property>
-  <property name="label">Admission check SC PIN</property>
-  <property name="label_edit">Admission check SC PIN</property>
-  <property name="readonly_layout_modes"/>
-  <property name="hidden_layout_modes"/>
-  <property name="hidden_readonly_layout_modes"/>
-  <property name="display_width">10</property>
- </widget>
- <widget name="adm_check_sc_value" meta_type="Float Widget">
-  <property name="title">Admission check SC Value</property>
-  <property name="fields">
-   <element value="adm_check_sc_value"/>
-  </property>
-  <property name="label">Admission check SC Value</property>
-  <property name="label_edit">Admission check SC Value</property>
-  <property name="readonly_layout_modes"/>
-  <property name="hidden_layout_modes"/>
-  <property name="hidden_readonly_layout_modes"/>
- </widget>
- <widget name="clearance_date" meta_type="DateTime Widget">
-  <property name="title">clearance SC PIN</property>
-  <property name="fields">
-   <element value="clearance_date"/>
-  </property>
-  <property name="label">Clearance SC Date</property>
-  <property name="label_edit">Clearance SC Date</property>
-  <property name="readonly_layout_modes"/>
-  <property name="hidden_layout_modes"/>
-  <property name="hidden_readonly_layout_modes"/>
- </widget>
- <widget name="clearance_sc_id" meta_type="String Widget">
-  <property name="title">Clearance SC ID</property>
-  <property name="fields">
-   <element value="clearance_sc_id"/>
-  </property>
-  <property name="label">Clearance SC ID</property>
-  <property name="label_edit">Clearance SC ID</property>
-  <property name="readonly_layout_modes"/>
-  <property name="hidden_layout_modes"/>
-  <property name="hidden_readonly_layout_modes"/>
-  <property name="display_width">10</property>
- </widget>
- <widget name="clearance_sc_pin" meta_type="String Widget">
-  <property name="title">clearance SC PIN</property>
-  <property name="fields">
-   <element value="clearance_sc_pin"/>
-  </property>
-  <property name="label">Clearance SC PIN</property>
-  <property name="label_edit">Clearance SC PIN</property>
-  <property name="readonly_layout_modes"/>
-  <property name="hidden_layout_modes"/>
-  <property name="hidden_readonly_layout_modes"/>
-  <property name="display_width">10</property>
- </widget>
- <widget name="clearance_sc_value" meta_type="Float Widget">
-  <property name="title">clearance SC Value</property>
-  <property name="fields">
-   <element value="clearance_sc_value"/>
-  </property>
-  <property name="label">Clearance SC Value</property>
-  <property name="label_edit">Clearance SC Value</property>
-  <property name="readonly_layout_modes"/>
-  <property name="hidden_layout_modes"/>
-  <property name="hidden_readonly_layout_modes"/>
- </widget>
- <widget name="faculty" meta_type="String Widget">
-  <property name="title">Faculty</property>
-  <property name="fields">
-   <element value="faculty"/>
-  </property>
-  <property name="label">Faculty</property>
-  <property name="label_edit">Faculty</property>
-  <property name="readonly_layout_modes"/>
-  <property name="hidden_layout_modes"/>
-  <property name="hidden_readonly_layout_modes"/>
-  <property name="display_width">10</property>
- </widget>
- <widget name="hostel_fee_date" meta_type="DateTime Widget">
-  <property name="title">hostel_fee SC PIN</property>
-  <property name="fields">
-   <element value="hostel_fee_date"/>
-  </property>
-  <property name="label">Hostel Fee SC Date</property>
-  <property name="label_edit">Hostel Fee SC Date</property>
-  <property name="readonly_layout_modes"/>
-  <property name="hidden_layout_modes"/>
-  <property name="hidden_readonly_layout_modes"/>
- </widget>
- <widget name="hostel_fee_sc_id" meta_type="String Widget">
-  <property name="title">hostel_fee SC ID</property>
-  <property name="fields">
-   <element value="hostel_fee_sc_id"/>
-  </property>
-  <property name="label">Hostel Fee SC ID</property>
-  <property name="label_edit">Hostel Fee SC ID</property>
-  <property name="readonly_layout_modes"/>
-  <property name="hidden_layout_modes"/>
-  <property name="hidden_readonly_layout_modes"/>
-  <property name="display_width">10</property>
- </widget>
- <widget name="hostel_fee_sc_pin" meta_type="String Widget">
-  <property name="title">hostel_fee SC PIN</property>
-  <property name="fields">
-   <element value="hostel_fee_sc_pin"/>
-  </property>
-  <property name="label">Hostel Fee SC PIN</property>
-  <property name="label_edit">Hostel Fee SC PIN</property>
-  <property name="readonly_layout_modes"/>
-  <property name="hidden_layout_modes"/>
-  <property name="hidden_readonly_layout_modes"/>
-  <property name="display_width">10</property>
- </widget>
- <widget name="hostel_fee_sc_value" meta_type="Float Widget">
-  <property name="title">hostel_fee SC Value</property>
-  <property name="fields">
-   <element value="hostel_fee_sc_value"/>
-  </property>
-  <property name="label">Hostel Fee SC Value</property>
-  <property name="label_edit">Hostel Fee SC Value</property>
-  <property name="readonly_layout_modes"/>
-  <property name="hidden_layout_modes"/>
-  <property name="hidden_readonly_layout_modes"/>
- </widget>
- <widget name="jamb_is_admitted" meta_type="Boolean Widget">
-  <property name="title">JAMB Admission</property>
-  <property name="fields">
-   <element value="jamb_is_admitted"/>
-  </property>
-  <property name="label">JAMB Admission</property>
-  <property name="label_edit">JAMB Admission</property>
-  <property name="readonly_layout_modes"/>
-  <property name="hidden_layout_modes"/>
-  <property name="hidden_readonly_layout_modes"/>
- </widget>
- <table/>
 </object>
Index: /WAeUP_SRP/trunk/profiles/default/types/Student.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/types/Student.xml	(revision 427)
+++ /WAeUP_SRP/trunk/profiles/default/types/Student.xml	(revision 428)
@@ -39,6 +39,6 @@
  <alias from="view" to="academics_contents"/>
  <action title="Standard View" action_id="view" category="object"
-    condition_expr="python:object.getContent().memberIsOwner() or (member and 'UniversityManager'in member.getRoles())"
-    url_expr="string:${object_url}/temporary_view_all" visible="True">
+    condition_expr="python:object.getContent().memberIsOwner() or (member and 'SectionManager'in member.getRoles())"
+    url_expr="string:${object_url}/academics_contents" visible="True">
   <permission value="View"/>
  </action>
@@ -61,14 +61,4 @@
     condition_expr="python: object.getContent().memberIsOwner() and getattr(object,'PERSONAL',None)"
     url_expr="string:${object/absolute_url}/PERSONAL" visible="True">
-  <permission value="Modify portal content"/>
- </action>
- <action title="Eligibility Data" action_id="eligibility" category="object"
-    condition_expr="object/memberIsOwner"
-    url_expr="string:${object_url}/ELIGIBILITY" visible="True">
-  <permission value="Modify portal content"/>
- </action>
- <action title="Scanned Documents" action_id="DOCUMENTS" category="object"
-    condition_expr="python: object.getContent().memberIsOwner() and getattr(object,'PERSONAL',None)"
-    url_expr="string:${object/absolute_url}/DOCUMENTS" visible="True">
   <permission value="Modify portal content"/>
  </action>
Index: /WAeUP_SRP/trunk/profiles/default/types/StudentAdmission.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/types/StudentAdmission.xml	(revision 427)
+++ /WAeUP_SRP/trunk/profiles/default/types/StudentAdmission.xml	(revision 428)
@@ -8,5 +8,5 @@
  <property name="product">WAeUP_SRP</property>
  <property name="factory">addStudentAdmission</property>
- <property name="immediate_view"></property>
+ <property name="immediate_view">academics_contents</property>
  <property name="global_allow">True</property>
  <property name="filter_content_types">True</property>
@@ -30,8 +30,10 @@
  <property name="storage_methods"/>
  <property name="cps_is_portlet">False</property>
- <alias from="(Default)" to="cpsdocument_view"/>
- <alias from="view" to="cpsdocument_view"/>
- <action title="View" action_id="view" category="object" condition_expr=""
-    url_expr="string:${object_url}/cpsdocument_view" visible="True">
+ <alias from="(Default)" to="academics_contents"/>
+ <alias from="view" to="academics_contents"/>
+ <action title="Standard View" action_id="view" category="object" 
+    condition_expr=""
+    url_expr="string:${object_url}/academics_contents" 
+    visible="True">
   <permission value="View"/>
  </action>
@@ -43,5 +45,7 @@
  </action>
  <action title="action_metadata" action_id="metadata" category="object"
-    condition_expr="" url_expr="string:${object_url}/cpsdocument_metadata"
-    visible="False"/>
+    condition_expr="python:member and 'Manager' in member.getRoles()"
+    url_expr="string:${object_url}/cpsdocument_metadata" visible="False">
+  <permission value="Modify portal content"/>
+ </action>
 </object>
Index: /WAeUP_SRP/trunk/profiles/default/types/StudentClearance.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/types/StudentClearance.xml	(revision 427)
+++ /WAeUP_SRP/trunk/profiles/default/types/StudentClearance.xml	(revision 428)
@@ -8,5 +8,5 @@
  <property name="product">WAeUP_SRP</property>
  <property name="factory">addStudentClearance</property>
- <property name="immediate_view"></property>
+ <property name="immediate_view">academics_contents</property>
  <property name="global_allow">True</property>
  <property name="filter_content_types">True</property>
@@ -24,17 +24,21 @@
   <element value="student_clearance"/>
  </property>
- <property name="layout_clusters"/>
+ <property name="layout_clusters">
+  <element value="metadata:metadata"/>
+ </property>
  <property name="flexible_layouts"/>
  <property name="storage_methods"/>
  <property name="cps_is_portlet">False</property>
- <alias from="(Default)" to="cpsdocument_view"/>
- <alias from="view" to="cpsdocument_view"/>
+ <alias from="(Default)" to="academics_contents"/>
+ <alias from="view" to="academics_contents"/>
  <action title="Standard View" action_id="view" category="object"
-    condition_expr="" url_expr="string:${object_url}/cpsdocument_view"
+    condition_expr="" 
+    url_expr="string:${object_url}/academics_contents"
     visible="True">
   <permission value="View"/>
  </action>
  <action title="action_edit" action_id="edit" category="object"
-    condition_expr="" url_expr="string:${object_url}/cpsdocument_edit_form"
+    condition_expr="" 
+    url_expr="string:${object_url}/cpsdocument_edit_form"
     visible="True">
   <permission value="Modify portal content"/>
Index: /WAeUP_SRP/trunk/profiles/default/types/StudentPersonal.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/types/StudentPersonal.xml	(revision 427)
+++ /WAeUP_SRP/trunk/profiles/default/types/StudentPersonal.xml	(revision 428)
@@ -8,5 +8,5 @@
  <property name="product">WAeUP_SRP</property>
  <property name="factory">addStudentPersonal</property>
- <property name="immediate_view"></property>
+ <property name="immediate_view">academics_contents</property>
  <property name="global_allow">True</property>
  <property name="filter_content_types">True</property>
@@ -30,8 +30,9 @@
  <property name="storage_methods"/>
  <property name="cps_is_portlet">False</property>
- <alias from="(Default)" to="cpsdocument_view"/>
- <alias from="view" to="cpsdocument_view"/>
+ <alias from="(Default)" to="academics_contents"/>
+ <alias from="view" to="academics_contents"/>
  <action title="Standard View" action_id="view" category="object"
-    condition_expr="" url_expr="string:${object_url}/cpsdocument_view"
+    condition_expr="" 
+    url_expr="string:${object_url}/academics_contents"
     visible="True">
   <permission value="View"/>
@@ -43,5 +44,7 @@
  </action>
  <action title="action_metadata" action_id="metadata" category="object"
-    condition_expr="" url_expr="string:${object_url}/cpsdocument_metadata"
-    visible="False"/>
+    condition_expr="python:member and 'Manager' in member.getRoles()"
+    url_expr="string:${object_url}/cpsdocument_metadata" visible="False">
+  <permission value="Modify portal content"/>
+ </action>
 </object>