Index: WAeUP_SRP/trunk/profiles/default/catalog.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/catalog.xml	(revision 435)
+++ WAeUP_SRP/trunk/profiles/default/catalog.xml	(revision 435)
@@ -0,0 +1,10 @@
+<?xml version="1.0"?>
+<object name="portal_catalog" meta_type="CMF Catalog">
+ <property name="title"></property>
+ <index name="jamb_reg_no" meta_type="FieldIndex">
+  <indexed_attr value="jamb_reg_no"/>
+ </index>
+ <index name="matric_no" meta_type="FieldIndex">
+  <indexed_attr value="matric_no"/>
+ </index>
+</object>
Index: WAeUP_SRP/trunk/profiles/default/types/Semester.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/types/Semester.xml	(revision 434)
+++ WAeUP_SRP/trunk/profiles/default/types/Semester.xml	(revision 435)
@@ -17,14 +17,12 @@
  </property>
  <property name="allow_discussion">False</property>
- <property name="cps_is_searchable">True</property>
+ <property name="cps_is_searchable">False</property>
  <property name="cps_proxy_type">folder</property>
  <property name="cps_display_as_document_in_listing">True</property>
  <property name="schemas">
-  <element value="metadata"/>
-  <element value="common"/>
  </property>
  <property name="layouts"/>
  <property name="layout_clusters">
-  <element value="metadata:metadata"/>
+  <element value=""/>
  </property>
  <property name="flexible_layouts"/>
Index: WAeUP_SRP/trunk/profiles/default/types/Student.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/types/Student.xml	(revision 434)
+++ WAeUP_SRP/trunk/profiles/default/types/Student.xml	(revision 435)
@@ -19,10 +19,8 @@
  </property>
  <property name="allow_discussion">False</property>
- <property name="cps_is_searchable">True</property>
+ <property name="cps_is_searchable">False</property>
  <property name="cps_proxy_type">folder</property>
  <property name="cps_display_as_document_in_listing">True</property>
  <property name="schemas">
-  <element value="metadata"/>
-  <element value="common"/>
   <element value="student"/>
  </property>
@@ -31,5 +29,5 @@
  </property>
  <property name="layout_clusters">
-  <element value="metadata:metadata"/>
+  <element value=""/>
  </property>
  <property name="flexible_layouts"/>
@@ -53,9 +51,4 @@
   <permission value="Modify portal content"/>
  </action>
- <action title="action_folder_contents" action_id="contents" category="object"
-    condition_expr="" url_expr="string:${object/absolute_url}/folder_contents"
-    visible="False">
-  <permission value="Modify portal content"/>
- </action>
  <action title="Personal Data" action_id="PERSONAL" category="object"
     condition_expr="python: object.getContent().memberIsOwner() and getattr(object,'PERSONAL',None)"
@@ -63,33 +56,3 @@
   <permission value="Modify portal content"/>
  </action>
- <action title="Register for Next Level" action_id="register_study_level"
-    category="object"
-    condition_expr="python: object.getContent().memberIsOwner() and not object.getContent().isRegisteredForCurrentLevel()"
-    url_expr="string:${object/absolute_url}/register_level" visible="True">
-  <permission value="Modify portal content"/>
- </action>
- <action title="Book Accomodation" action_id="book_accomodation"
-    category="object"
-    condition_expr="python: object.getContent().memberIsOwner() and not object.getContent().accommodationIsBooked()"
-    url_expr="string:${object/absolute_url}/book_accommodation"
-    visible="True">
-  <permission value="Modify portal content"/>
- </action>
- <action title="Pay Hostel Fee" action_id="pay_hostel_fee" category="object"
-    condition_expr="python: object.getContent().memberIsOwner() and not object.getContent().accommodationIsPayed()"
-    url_expr="string:${object/absolute_url}/pay_hostel_fee" visible="True">
-  <permission value="Modify portal content"/>
- </action>
- <action title="(JAMB Data)" action_id="JAMB" category="object"
-    condition_expr="python:object.getContent().memberIsOwner()"
-    url_expr="string:${object/absolute_url}/JAMB" visible="True">
-  <permission value="Modify portal content"/>
- </action>
- <action title="Book AccomModation" action_id="book_accommodation"
-    category="object"
-    condition_expr="python: object.getContent().memberIsOwner() and not object.getContent().accommodationIsBooked()"
-    url_expr="string:${object/absolute_url}/book_accommodation"
-    visible="True">
-  <permission value="Modify portal content"/>
- </action>
 </object>
Index: WAeUP_SRP/trunk/profiles/default/types/StudentAdmission.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/types/StudentAdmission.xml	(revision 434)
+++ WAeUP_SRP/trunk/profiles/default/types/StudentAdmission.xml	(revision 435)
@@ -13,10 +13,8 @@
  <property name="allowed_content_types"/>
  <property name="allow_discussion">False</property>
- <property name="cps_is_searchable">True</property>
+ <property name="cps_is_searchable">False</property>
  <property name="cps_proxy_type">document</property>
  <property name="cps_display_as_document_in_listing">True</property>
  <property name="schemas">
-  <element value="metadata"/>
-  <element value="common"/>
   <element value="student_admission"/>
  </property>
@@ -25,5 +23,5 @@
  </property>
  <property name="layout_clusters">
-  <element value="metadata:metadata"/>
+  <element value=""/>
  </property>
  <property name="flexible_layouts"/>
@@ -44,8 +42,3 @@
   <permission value="Modify portal content"/>
  </action>
- <action title="action_metadata" action_id="metadata" category="object"
-    condition_expr="python:member and 'Manager' in member.getRoles()"
-    url_expr="string:${object_url}/cpsdocument_metadata" visible="False">
-  <permission value="Modify portal content"/>
- </action>
 </object>
Index: WAeUP_SRP/trunk/profiles/default/types/StudentClearance.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/types/StudentClearance.xml	(revision 434)
+++ WAeUP_SRP/trunk/profiles/default/types/StudentClearance.xml	(revision 435)
@@ -13,10 +13,8 @@
  <property name="allowed_content_types"/>
  <property name="allow_discussion">False</property>
- <property name="cps_is_searchable">True</property>
+ <property name="cps_is_searchable">False</property>
  <property name="cps_proxy_type">document</property>
  <property name="cps_display_as_document_in_listing">True</property>
  <property name="schemas">
-  <element value="metadata"/>
-  <element value="common"/>
   <element value="student_clearance"/>
  </property>
@@ -25,5 +23,5 @@
  </property>
  <property name="layout_clusters">
-  <element value="metadata:metadata"/>
+  <element value=""/>
  </property>
  <property name="flexible_layouts"/>
@@ -44,8 +42,3 @@
   <permission value="Modify portal content"/>
  </action>
- <action title="action_metadata" action_id="metadata" category="object"
-    condition_expr="python:member and 'Manager' in member.getRoles()"
-    url_expr="string:${object_url}/cpsdocument_metadata" visible="False">
-  <permission value="Modify portal content"/>
- </action>
 </object>
Index: WAeUP_SRP/trunk/profiles/default/types/StudentPersonal.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/types/StudentPersonal.xml	(revision 434)
+++ WAeUP_SRP/trunk/profiles/default/types/StudentPersonal.xml	(revision 435)
@@ -17,6 +17,4 @@
  <property name="cps_display_as_document_in_listing">True</property>
  <property name="schemas">
-  <element value="metadata"/>
-  <element value="common"/>
   <element value="student_personal"/>
  </property>
@@ -25,5 +23,5 @@
  </property>
  <property name="layout_clusters">
-  <element value="metadata:metadata"/>
+  <element value=""/>
  </property>
  <property name="flexible_layouts"/>
@@ -43,8 +41,3 @@
   <permission value="Modify portal content"/>
  </action>
- <action title="action_metadata" action_id="metadata" category="object"
-    condition_expr="python:member and 'Manager' in member.getRoles()"
-    url_expr="string:${object_url}/cpsdocument_metadata" visible="False">
-  <permission value="Modify portal content"/>
- </action>
 </object>
Index: WAeUP_SRP/trunk/profiles/default/types/StudentStudyCourse.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/types/StudentStudyCourse.xml	(revision 434)
+++ WAeUP_SRP/trunk/profiles/default/types/StudentStudyCourse.xml	(revision 435)
@@ -15,18 +15,15 @@
  </property>
  <property name="allow_discussion">False</property>
- <property name="cps_is_searchable">True</property>
+ <property name="cps_is_searchable">False</property>
  <property name="cps_proxy_type">folder</property>
  <property name="cps_display_as_document_in_listing">True</property>
  <property name="schemas">
-  <element value="metadata"/>
-  <element value="common"/>
   <element value="student_study_course"/>
  </property>
  <property name="layouts">
-  <element value="common"/>
   <element value="student_study_course"/>
  </property>
  <property name="layout_clusters">
-  <element value="metadata:metadata"/>
+  <element value=""/>
  </property>
  <property name="flexible_layouts"/>
@@ -39,7 +36,4 @@
   <permission value="View"/>
  </action>
- <action title="action_metadata" action_id="metadata" category="object"
-    condition_expr="" url_expr="string:${object_url}/cpsdocument_metadata"
-    visible="False"/>
  <action title="Delegate" action_id="localroles" category="object"
     condition_expr="" url_expr="string:${object_url}/folder_localrole_form"
@@ -47,11 +41,3 @@
   <permission value="Modify portal content"/>
  </action>
- <action title="action_folder_contents" action_id="contents" category="object"
-    condition_expr="" url_expr="string:${object/absolute_url}/folder_contents"
-    visible="False"/>
- <action title="Register for Next Level" action_id="register_study_level"
-    category="object" condition_expr=""
-    url_expr="string:${object/absolute_url}/register_level" visible="True">
-  <permission value="Modify portal content"/>
- </action>
 </object>
Index: WAeUP_SRP/trunk/profiles/default/types/StudyLevel.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/types/StudyLevel.xml	(revision 434)
+++ WAeUP_SRP/trunk/profiles/default/types/StudyLevel.xml	(revision 435)
@@ -15,10 +15,8 @@
  </property>
  <property name="allow_discussion">False</property>
- <property name="cps_is_searchable">True</property>
+ <property name="cps_is_searchable">False</property>
  <property name="cps_proxy_type">folder</property>
  <property name="cps_display_as_document_in_listing">True</property>
  <property name="schemas">
-  <element value="metadata"/>
-  <element value="common"/>
   <element value="study_level"/>
  </property>
@@ -27,5 +25,5 @@
  </property>
  <property name="layout_clusters">
-  <element value="metadata:metadata"/>
+  <element value=""/>
  </property>
  <property name="flexible_layouts"/>
@@ -39,13 +37,3 @@
   <permission value="View"/>
  </action>
- <action title="Register for Next Year" action_id="new_entry"
-    category="object"
-    condition_expr="python:member and 'Student' in member.getRoles()"
-    url_expr="string:${object_url}/register_level" visible="True"/>
- <action title="action_metadata" action_id="metadata" category="object"
-    condition_expr="python:member and 'Manager' in member.getRoles()"
-    url_expr="string:${object_url}/cpsdocument_metadata" visible="False"/>
- <action title="Delegate" action_id="localroles" category="object"
-    condition_expr="" url_expr="string:${object_url}/folder_localrole_form"
-    visible="False"/>
 </object>